setwd("C:/Users/knapp/Documents/Guido/GemischteModelle/Datenstze")
vision <- read.table("Vision.txt", header=TRUE)
vision$power <- as.factor(vision$power)
vision[1:10,]

library(lattice)
vision$npower <- rep(1:4, 14)
xyplot(acuity ~ npower|subject, data=vision, type="l", groups=eye,
lty=1:2, layout=c(4,2))

library(lme4)
mod <- lmer(acuity ~ 1 + power + (1|subject) + (1|subject:eye), data=vision)
summary(mod)

modr <- lmer(acuity ~ 1 + power + (1|subject) + (1|subject:eye), data=vision, subset=-43)
anova(modr)

# Wie sieht die Lsung mit der Funktion lme im Paket nlme aus?

